こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

CentOS5.0にディスプレイドライバがインストールできません」

OS:CentOS5.0
CPU:Pentium2.4
グラボ:Geforce6600GT
ドライバ:NVIDIA-Linux-x86-100.14.11.pkg1.run

NVIDIAサイトで Geforce 6 Series→Linux x86 よりドライバをダウンロードしました。#init 3でroot権限でテキストログイン後shでドライバ実行しましたが途中で4回ほどエラー画面が出て失敗します。

以下、エラー画面の中で一番まとめっぽい文章です。
______________________________________________________________________________________

No precompiled kernel interface was found to match you kernel;

would you like the installer t attempt to download a kernel

interface for your from the NVIDIA ftpsite(ftp://download.nvidia.com)?
______________________________________________________________________________________

よろしくお願いいたします。

投稿日時 - 2007-08-04 12:54:36

QNo.3226684

困ってます

質問者が選んだベストアンサー

precompiled kernel interfaceが何を指しているのか、未だに分からないが、どうやってNVIDIA製ドライバを導入すれば良いかは何度か作業しているので分かる。

>No precompiled kernel interface was found to match you kernel;
>would you like the installer t attempt to download a kernel
>interface for your from the NVIDIA ftpsite(ftp://download.nvidia.com)?
 のメッセージの後、ダウンロードを試みて失敗。
 その後、該当のシェルはカーネルのリ・ビルドを試みる。
 上手くいかないということは、カーネルのコンパイル環境が整っていないのだと思う。
 カーネルをコンパイルするには、

  ・cコンパイラ
  ・カーネルのソース
  ・カーネルコンパイル時に必要となるライブラリ群

 が必要になる。
 メニューの、アプリケーション→ソフトウェアの追加と削除 を使って必要なものを入れてあげよう。
 ちなみにカーネルのソースは3種類あるので(標準版、PAE対応版、Xen対応版)現在使っているカーネルに合わせてダウンロードする必要がある。

 必要なものを全てインストールしたら、再度該当のシェルを動かせば、カーネルのリ・コンパイルがされてドライバが無事組み込まれる筈だ。

投稿日時 - 2007-08-05 00:52:28

補足

ご回答ありがとうございます。

>>・cコンパイラ
>>・カーネルのソース
>>・カーネルコンパイル時に必要となるライブラリ群

これらは全てソフトウェアの追加と削除からインストールできるのでしょうか?

投稿日時 - 2007-08-05 02:13:09

このQ&Aは役に立ちましたか?

3人が「このQ&Aが役に立った」と投票しています

回答(5)

ANo.5

自分はLinuxに関してはユーザーに毛が生えた程度のレベルでしかない。

エラーメッセージを読む限りでは、

 ・カーネルソースをブラウザでダウンロードして自分で展開してディレクトリにコピーした
 ・PAE対応版又はXen対応版のソースをインストールしなければいけないのに、標準版のソースを入れた

位しかエラーになる理由が想像出来ない。
上記に該当しないのであれば、自分の手に余るので他の回答者の回答が付くのを待つか、CentOS又はFedoraCoreの掲示板で質問される事を勧めます。

 【CentOS 掲示板】
  http://www.mland.jp/~centos/yybbs/yybbs.cgi?page=0&bl=0

 【FedoraCore JP 掲示板】※CentOS掲示板でレスが付かなかった場合
  http://bbs.fedora.jp/forum.php?FID=6

投稿日時 - 2007-08-08 00:49:40

ANo.4

>これらは全てソフトウェアの追加と削除からインストールできるのでしょうか?
 勿論出来る。
 一応、テスト環境にCentOS5をインストールして検証済みだ。

 詳しい手順を書かないと分からなさそうなので、私の行った手順を補足すると

  ・アプリケーション→ソフトウェアの追加と削除でパッケージマネージャを起動
  ・gccは自分の選択したインストールモデルだとインストール済みだったぽいので、スキップ
   (念の為にインストール済みパッケージに gcc-バージョン番号 というものが含まれているか確認しておくと良いと思う)
  ・一覧タブを選択し、「利用可能なパッケージ」を選択
  ・kernel-devel-2.6.18-8.1.8.el5.i686 と kernel-headers-2.6.18-8.1.8.el5.i386 にチェックマークを付け適用クリック
   (質問主殿の使っているカーネルバージョンによっては、上記のバージョンと異なる可能性もある点に注意されたい。あと、PAE対応版やXen対応版カーネルを使っているなら、kernel-Xen-devel-・・・とかkernel-PAE-devel-・・・にする必要があると思う)

Linuxは詳しくないので、もしかしたら必要ない余分な作業をしている可能性も有るが、上記を適用後にNVIDIAからダウンロードしたシェルを実行したら、カーネルのリ・ビルドが成功して無事NVIDIA製ドライバが組み込まれた。

投稿日時 - 2007-08-05 08:19:59

補足

詳しいご回答、誠にありがとうございます。

上記の通り、必要なパッケージを全てインストールして再度試みたところ今度は文章の異なったエラーが出て失敗しました。
________________________________________________________________________________________________

Unable to find the kernel source tree for the currentoly running

kernel. Please make sure you have installed the kernel source files

for your kernel and that they are properly configured; on Red Hat

Linux systems, for exampl, be sure you have the 'kernel-source' or

'kernel-devel' RPM installed. If you know the correct kernel source

files are installed, you may specify the kernel source path with the

'--kernel-source-path' command line option.

___________________________________________________________________________________________________

察するに、カーネルはあるが場所はわからない?と言うことなのかなと。カーネルバージョンはunameコマンドで調べたら合っていました。度々申し訳御座いませんが、ご教授のほどお願いいたします。

投稿日時 - 2007-08-07 20:01:31

ANo.2

私は、6200(AGP) ですが
http://rpm.livna.org/rlowiki/
のFC6 のreposiory を追加して使っています。
また、FC6 のrepository を追加して( 一時的 )
beryl を yum で install しました。
支障なく動作しています。

beryl は
xorg.conf を多少修正したかも
忘れました。

投稿日時 - 2007-08-05 00:26:24

ANo.1

Wr5

使用中のカーネルにあったコンパイル済みのドライバが見つからない。
ということではないでしょうか?

開発環境(カーネルのヘッダーやコンパイラ等)が入っていれば、
自分のPCでビルドして導入できるはずです。

投稿日時 - 2007-08-04 22:52:19

補足

>>開発環境(カーネルのヘッダーやコンパイラ等)が入っていれば、
>>自分のPCでビルドして導入できるはずです。

ご回答ありがとうございます。当方、カーネル等の知識がございませんので検索で調べたところ

プリコンパイルされたカーネルインターフェイスがみつかりませんーNVIDIAのftpからダウンロードしてみますか?
NVIDIAのftpにも合うものが見つからないのでインストーラーがあなたのカーネル用のをコンパイルする必要があります。

という訳を発見しました。Fedora coreの場合同症状ですとNVIDIAではなくlivnaのドライバが推奨されているようですが、CentOSの場合はどうすればよろしいのでしょうか?カーネルの構築しかないのであれば参考文献などをご教授頂けると本当に助かります。

投稿日時 - 2007-08-05 01:04:50

あなたにオススメの質問